{ ... }@inputs:
let
  hardware = inputs.nixos-hardware.nixosModules;
in
{
  nunotaba = {
    system = "x86_64-linux";
    extraModules = [
      hardware.common-cpu-intel
      hardware.common-pc-ssd
    ];
  };
  hitagi = {
    system = "x86_64-linux";
    extraModules = [
      hardware.common-cpu-amd
      hardware.common-pc-ssd
    ];
    # Intel Arc requires mesa 22.3, which only is in unstable.
    # Using mesa from untable is quite hard, so this is a workaround.
    nixpkgs = inputs.nixpkgs-unstable;
  };
  vueko = {
    system = "x86_64-linux";

    targetHost = "vueko.sbruder.de";
  };
  fuuko = {
    system = "x86_64-linux";
    extraModules = [
      hardware.common-cpu-amd
      hardware.common-pc-ssd
    ];

    targetHost = "fuuko.home.sbruder.de";
  };
  mayushii = {
    system = "x86_64-linux";
    extraModules = [
      hardware.common-cpu-amd
      #hardware.lenovo-thinkpad-p14s-amd-gen2
      (import "${inputs.nixos-hardware}/lenovo/thinkpad/p14s/amd/gen2")
      hardware.common-pc-ssd
    ];
  };
  renge = {
    system = "x86_64-linux";
    extraModules = [
      "${inputs.infinisilSystem}/config/new-modules/murmur.nix"
    ];

    targetHost = "renge.sbruder.de";
  };
}
